<?php

namespace App\Form;

use App\Entity\Utilisateur;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\Extension\Core\Type\DateType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class UserType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('email', TextType::class)
            ->add('FirstName', TextType::class)
            ->add('LastName', TextType::class)
            ->add('BirthDate', DateType::class, [
                'widget' => 'single_text',
            ])
            ->add('Phone', TextType::class)
            ->add('roles', ChoiceType::class, [
                'choices' => [
                    'Secretaire' => 'ROLE_SECRETAIRE',
                    'Chauffagiste' => 'ROLE_CHAUFFAGISTE',
                ],
                'multiple' => true,
            ])
            ->add('password', TextType::class)
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => Utilisateur::class,
        ]);
    }
}
